Bug 101590 - institution expiration
institution expiration
Product: Red Hat Academy
Classification: Retired
Component: Web Application (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Tim Burke
Bowe Strickland
Depends On:
  Show dependency treegraph
Reported: 2003-08-04 11:00 EDT by Rico Hendriks
Modified: 2016-05-05 01:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Meyer 2003-08-04 11:00:26 EDT
when an institution's enablement expires, it should be handled, not just cause
errors.  what effect it *should* have isn't clear.  for starters, the
institution manager should probably see a notice that it's disabled and nothing
more.  What about class instructors or students?
Comment 1 Bowe Strickland 2003-08-04 11:09:02 EDT
my thoughts...

gls and institution mananger should get emailed 2 weeks before expiration, 
1 week before expiration, and 2 days before expiration.  emial should
include a list of any active classes this will cause problems for (though end
date of class should already have been pinned to end date of institution).

upon expiration, classes should become "inactive" (though i'm not sure we've
hammered out exactly what that means, either ;)  

Comment 6 James Hartsock 2015-03-18 11:16:08 EDT
*** Bug 1022196 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.